## org.jfree.chart.axis
Class CategoryTick

    java.lang.Object
      org.jfree.chart.axis.Tick
          org.jfree.chart.axis.CategoryTick

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class CategoryTick
extends Tick

A tick for a `CategoryAxis`.

See Also:
  Serialized Form

Constructor Summary
`CategoryTick(java.lang.Comparable category, org.jfree.text.TextBlock label, org.jfree.text.TextBlockAnchor labelAnchor, org.jfree.ui.TextAnchor rotationAnchor, double angle)` Creates a new tick.

Method Summary
`boolean` `equals(java.lang.Object obj)` Tests this category tick for equality with an arbitrary object.
`java.lang.Comparable` `getCategory()` Returns the category.
`org.jfree.text.TextBlock` `getLabel()` Returns the label.
`org.jfree.text.TextBlockAnchor` `getLabelAnchor()` Returns the label anchor.

Methods inherited from class org.jfree.chart.axis.Tick
`clone, getAngle, getRotationAnchor, getText, getTextAnchor, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CategoryTick

    public CategoryTick(java.lang.Comparable category,
                        org.jfree.text.TextBlock label,
                        org.jfree.text.TextBlockAnchor labelAnchor,
                        org.jfree.ui.TextAnchor rotationAnchor,
                        double angle)

  Creates a new tick.

Parameters:
  `category` - the category.
  `label` - the label.
  `labelAnchor` - the label anchor.
  `rotationAnchor` - the rotation anchor.
  `angle` - the rotation angle (in radians).

Method Detail

### getCategory

    public java.lang.Comparable getCategory()

  Returns the category.

  Returns:
    The category.

### getLabel

    public org.jfree.text.TextBlock getLabel()

  Returns the label.

  Returns:
    The label.

### getLabelAnchor

    public org.jfree.text.TextBlockAnchor getLabelAnchor()

  Returns the label anchor.

  Returns:
    The label anchor.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this category tick for equality with an arbitrary object.

  Overrides:
    `equals` in class `Tick`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.